/*
It's the same program as 1.Overloading_Operators but the operations are
done isung a pointer.
*/

#include <iostream>
#include "CVector2.hpp"
using namespace std;   

int main() {
    
     CVector vec1(1,2);
     CVector vec2(3,4);
     CVector sum, sub;

// Vector Addition
     sum = vec1 + vec2;
     cout << " v1+v2 = ";
     sum.printv();

// Vector substraction
     sub = vec1 - vec2;
     cout << " v1+v2 = ";
     sub.printv();
        
     std::cin.get();
     return (0);       
}
             
